relaxngcc.grammar

## Class PatternWalker

- java.lang.Object
- - relaxngcc.grammar.PatternWalker

All Implemented Interfaces:
  PatternFunction

    public abstract class PatternWalker
    extends java.lang.Object
    implements PatternFunction

visits a Pattern tree.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Constructor Summary

Constructors
Constructor and Description
`PatternWalker()`

### Method Summary

Methods
`java.lang.Object` `attribute(AttributePattern p)`
`java.lang.Object` `choice(ChoicePattern p)`
`java.lang.Object` `data(DataPattern p)`
`java.lang.Object` `element(ElementPattern p)`
`java.lang.Object` `empty(EmptyPattern p)`
`java.lang.Object` `group(GroupPattern p)`
`java.lang.Object` `interleave(InterleavePattern p)`
`java.lang.Object` `javaBlock(JavaBlock p)`
`java.lang.Object` `list(ListPattern p)`
`java.lang.Object` `notAllowed(NotAllowedPattern p)`
`java.lang.Object` `oneOrMore(OneOrMorePattern p)`
`java.lang.Object` `ref(RefPattern p)`
`java.lang.Object` `scope(Scope s)`
`java.lang.Object` `value(ValuePattern p)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface relaxngcc.grammar.PatternFunction

`addError`

### Constructor Detail

#### PatternWalker

    public PatternWalker()

### Method Detail

#### empty

    public java.lang.Object empty(EmptyPattern p)

Specified by:
  `empty` in interface `PatternFunction`

#### notAllowed

    public java.lang.Object notAllowed(NotAllowedPattern p)

Specified by:
  `notAllowed` in interface `PatternFunction`

#### group

    public java.lang.Object group(GroupPattern p)

Specified by:
  `group` in interface `PatternFunction`

#### interleave

    public java.lang.Object interleave(InterleavePattern p)

Specified by:
  `interleave` in interface `PatternFunction`

#### choice

    public java.lang.Object choice(ChoicePattern p)

Specified by:
  `choice` in interface `PatternFunction`

#### oneOrMore

    public java.lang.Object oneOrMore(OneOrMorePattern p)

Specified by:
  `oneOrMore` in interface `PatternFunction`

#### element

    public java.lang.Object element(ElementPattern p)

Specified by:
  `element` in interface `PatternFunction`

#### attribute

    public java.lang.Object attribute(AttributePattern p)

Specified by:
  `attribute` in interface `PatternFunction`

#### data

    public java.lang.Object data(DataPattern p)

Specified by:
  `data` in interface `PatternFunction`

#### value

    public java.lang.Object value(ValuePattern p)

Specified by:
  `value` in interface `PatternFunction`

#### list

    public java.lang.Object list(ListPattern p)

Specified by:
  `list` in interface `PatternFunction`

#### ref

    public java.lang.Object ref(RefPattern p)

Specified by:
  `ref` in interface `PatternFunction`

#### scope

    public java.lang.Object scope(Scope s)

Specified by:
  `scope` in interface `PatternFunction`

#### javaBlock

    public java.lang.Object javaBlock(JavaBlock p)

Specified by:
  `javaBlock` in interface `PatternFunction`